aboutsummaryrefslogtreecommitdiffstats
path: root/extra/dovecot/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-12 20:18:38 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-12 20:18:38 +0000
commitf44e81160a21aea22c6a8271128e89e3738588dd (patch)
treea4c4a688767d041d76e01b6051c4fd147c8f4c6f /extra/dovecot/APKBUILD
parentf7460473e0f62576af952f986ebf72e5064c218f (diff)
downloadaports-f44e81160a21aea22c6a8271128e89e3738588dd.tar.gz
aports-f44e81160a21aea22c6a8271128e89e3738588dd.tar.bz2
aports-f44e81160a21aea22c6a8271128e89e3738588dd.tar.xz
extra/dovecot: add upstream patches, enable ssl and ipv6, install init.d
also update to proper pre-install script
Diffstat (limited to 'extra/dovecot/APKBUILD')
-rw-r--r--extra/dovecot/APKBUILD34
1 files changed, 24 insertions, 10 deletions
diff --git a/extra/dovecot/APKBUILD b/extra/dovecot/APKBUILD
index c4ec937f2f..17d9faec34 100644
--- a/extra/dovecot/APKBUILD
+++ b/extra/dovecot/APKBUILD
@@ -1,34 +1,48 @@
# Contributor: Michael Mason <ms13sp@gmail.com>
-# Maintainer:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=dovecot
pkgver=1.1.11
-pkgrel=0
+pkgrel=1
pkgdesc="IMAP and POP3 server"
url="http://www.dovecot.org/"
-license="GPL"
-depends="uclibc libcap zlib"
-makedepends="libcap-dev zlib-dev"
-install="dovecot.install"
+license="LGPL-2.1"
+depends="uclibc libcap zlib openssl"
+makedepends="libcap-dev zlib-dev openssl-dev"
+install="dovecot.pre-install"
subpackages="$pkgname-doc $pkgname-dev"
source="http://www.dovecot.org/releases/1.1/$pkgname-$pkgver.tar.gz
dovecot.initd
+ dovecot-1.1.11-4736327a8740.patch
+ dovecot-1.1.11-bdc5391e52df.patch
+ dovecot-1.1.11-c08c602ca0dc.patch
$install
"
build() {
cd "$srcdir/$pkgname-$pkgver"
+ for i in ../*.patch; do
+ msg "Applying $i.."
+ patch -p1 < $i || return 1
+ done
+
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
- --with-pop3d
+ --enable-ipv6 \
+ --with-pop3d \
+ --with-ssl=openssl || return 1
+
make || return 1
make DESTDIR="$pkgdir" install
- # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
}
md5sums="c973eb41aca79fb16630a16f0d84f765 dovecot-1.1.11.tar.gz
-ca3f9a2d8a75609b1edfa55f2709f598 dovecot.initd
-766fcfe110ce0be9c416e669b08349b6 dovecot.install"
+573e14589a6f8424d55753a2794ab99a dovecot.initd
+7e1cd399255fbacff197c0ba79b0c2c2 dovecot-1.1.11-4736327a8740.patch
+f95cc06111ba3b83399a28cb1459fca0 dovecot-1.1.11-bdc5391e52df.patch
+d15abfa0c41426b99423d140d35b2fbd dovecot-1.1.11-c08c602ca0dc.patch
+f0f8893411f5e482e14f40a81a177b19 dovecot.pre-install"